A contact's WhatsApp: consent per list, the customer service window and the conversation
GET
/api/v1/workspaces/{workspace}/contacts/{contactId}/whatsapp
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/whatsapp"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/whatsapp';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/whatsapp \ --header 'Authorization: Bearer <token>'Permission: subscribers:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
contactId
required
Contact id
string format: uuid
Contact id
Responses
Section titled “Responses”OK
Media typeapplication/json
object
business
object
displayName
required
string
number
required
string
canEdit
required
boolean
canReply
required
boolean
connected
required
boolean
country
required
string
display
required
string
email
required
string
lineType
required
string
lists
required
Array<object>
object
at
string format: date-time
keyword
string
listId
required
string
name
required
string
page
string
source
required
string
status
required
string
version
string
name
required
string
phone
required
string
suppressed
object
at
required
string format: date-time
keyword
string
reason
required
string
thread
required
Array<object>
object
at
required
string format: date-time
campaign
string
direction
required
string
id
required
string
kind
required
string
read
required
boolean
status
string
template
string
text
required
string
timeZone
required
string
window
required
object
lastAt
string format: date-time
lastText
string
open
required
boolean
until
string format: date-time
Example
{ "lists": [ { "status": "subscribed" } ], "thread": [ { "direction": "in", "kind": "template" } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}